Destruction du fichier /var/lib/dpkg/status [Résolu/Fermé]

Signaler
Messages postés
277
Date d'inscription
mercredi 26 novembre 2003
Statut
Membre
Dernière intervention
29 décembre 2008
-
 le gardian -
Bijour bijour,

Bon ben comme d'hab un topic c'est pour un pb.
J'ai un peu beaucoup joué le debile. Ma commande apt-get me renvoyait une erreur et j'ai crue que c'etait un fichier corompu qui l'emmerdait alors je l'ai effacé. Ce fichier c'est /var/lib/dpkg/status. Je crois que c'est une belle boulette.
Donc toutes les insultes sont les bien venues. J'ai ete tres stupide. Mais si au milieu on pouvait me dire comment faire pour regenerer la liste de package installe sur mon pc. Si c'est pas possible je sais pas trop comment mon systeme va se comporter quand j'installerais de nouveaux trucs. Pour l'instant j'ose plus rien faire.

Merci d'avance pour votre aide et vos insultes ;-))

A++

3 réponses

Messages postés
277
Date d'inscription
mercredi 26 novembre 2003
Statut
Membre
Dernière intervention
29 décembre 2008
71
Merci Chris.
J'ai bien retrouvé le fichier status.old.
Il me resortait l'erreur la meme erreur :
E: Dynamic MMap ran out of room
E: Error occured while processing eject (NewVersion2)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

Donc j'ai augmenter la cache limit ds /etc/apt/apt.conf
APT::Cache-Limit 10000000;

et apt remarche.

Merci bien.

A++
8
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 57117 internautes nous ont dit merci ce mois-ci

Messages postés
93
Date d'inscription
samedi 12 mars 2005
Statut
Membre
Dernière intervention
16 septembre 2005
7
j'ai le méme probléme que toi sauf que moi j'ai pas le fichier statut.old

Voila ce que j'ai tapé :
bart@BartPC:/var/lib/dpkg$ ls
alternatives cmethopt diversions-old lock statoverride triggers
available-old diversions info parts statoverride-old updates

Pas de fichier Status...... :(

Avec sudo get-apt updrade :
bart@BartPC:~$ sudo apt-get update
[sudo] password for bart:
Réception de : 1 http://fr.archive.ubuntu.com gutsy Release.gpg [191B]
Atteint http://fr.archive.ubuntu.com gutsy/main Translation-fr
Réception de : 2 http://archive.canonical.com gutsy Release.gpg [191B]
Ign http://archive.canonical.com gutsy/partner Translation-fr
Atteint http://fr.archive.ubuntu.com gutsy/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com gutsy/universe Translation-fr
Atteint http://fr.archive.ubuntu.com gutsy/multiverse Translation-fr
Réception de : 3 https://usn.ubuntu.com/ gutsy-security Release.gpg [191B]
Ign https://usn.ubuntu.com/ gutsy-security/main Translation-fr
Réception de : 4 http://fr.archive.ubuntu.com gutsy-updates Release.gpg [191B]
Ign http://fr.archive.ubuntu.com gutsy-updates/main Translation-fr
Ign http://fr.archive.ubuntu.com gutsy-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com gutsy-updates/universe Translation-fr
Ign http://fr.archive.ubuntu.com gutsy-updates/multiverse Translation-fr
Atteint http://archive.canonical.com gutsy Release
Ign https://usn.ubuntu.com/ gutsy-security/restricted Translation-fr
Ign https://usn.ubuntu.com/ gutsy-security/universe Translation-fr
Ign https://usn.ubuntu.com/ gutsy-security/multiverse Translation-fr
Atteint https://usn.ubuntu.com/ gutsy-security Release
Atteint http://fr.archive.ubuntu.com gutsy Release
Atteint http://fr.archive.ubuntu.com gutsy-updates Release
Atteint http://archive.canonical.com gutsy/partner Packages
Atteint https://usn.ubuntu.com/ gutsy-security/main Packages
Atteint http://archive.canonical.com gutsy/partner Sources
Atteint http://fr.archive.ubuntu.com gutsy/main Packages
Atteint https://usn.ubuntu.com/ gutsy-security/restricted Packages
Atteint https://usn.ubuntu.com/ gutsy-security/universe Packages
Atteint https://usn.ubuntu.com/ gutsy-security/multiverse Packages
Atteint http://fr.archive.ubuntu.com gutsy/restricted Packages
Atteint http://fr.archive.ubuntu.com gutsy/universe Packages
Atteint http://fr.archive.ubuntu.com gutsy/multiverse Packages
Atteint http://fr.archive.ubuntu.com gutsy-updates/main Packages
Atteint http://fr.archive.ubuntu.com gutsy-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com gutsy-updates/universe Packages
Atteint http://fr.archive.ubuntu.com gutsy-updates/multiverse Packages
4o réceptionnés en 0s (8o/s)
Lecture des listes de paquets... Erreur !
E: Impossible de verrouiller /var/lib/dpkg/status - open (2 Aucun fichier ou répertoire de ce type)
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.


Voila j'suis consterné car j'arrive pas crée ce fichier car j'ai "pas la permission" .....
je serais trés reconnaissant pour les futures réponse
Bonjour,
Sous Debian Etch 4 il n'y a pas "status.old", mais "status-old".
Ca peut aider !
Le gardian